Bug 832782 - ovirt-engine-setup: "ovirt-engine restart" is missing
ovirt-engine-setup: "ovirt-engine restart" is missing
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Juan Hernández
Yaniv Kaul
: Regression
: 833305 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2012-06-17 07:18 EDT by Yaniv Kaul
Modified: 2015-09-22 09 EDT (History)
9 users (show)

See Also:
Fixed In Version: si10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-04 15:03:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2012-06-17 07:18:32 EDT
Description of problem:
In 3.0, one could have performed 'service jbossas restart' to restart the service.
In 3.1, it's not available:
 service ovirt-engine restart
Usage: engine-service.py {start|stop|status}

(also notice  that the usage refers to 'engine-service.py', but that's a different bug).

The restart is requested after making changes via rhevm-manage-domains:
"Successfully added domain qa.lab.tlv.redhat.com. oVirt Engine restart is required in order for the changes to take place (service ovirt-engine restart)."

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 2 Yaniv Kaul 2012-06-19 04:28:41 EDT
*** Bug 833305 has been marked as a duplicate of this bug. ***
Comment 3 Juan Hernández 2012-06-21 11:51:48 EDT
The fix for this bug is included in the following change:


This is how the output of the script looks like after the change (it uses colors, but that is not visible here):

# service ovirt-engine
Usage: engine-service {start|stop|restart|status}
# service ovirt-engine start
Starting engine-service:                                    [  OK  ]
# service ovirt-engine stop
Stopping engine-service:                                    [  OK  ]
# service ovirt-engine restart
Stopping engine-service:                                    [  OK  ]
Starting engine-service:                                    [  OK  ]

It will show FAILED instead of OK if something goes wrong. Additional information will be sent to syslog (/var/log/messages).
Comment 5 Haim 2012-08-07 02:17:45 EDT
verified on si13:

[root@hateya-rhevm ~]# /etc/init.d/ovirt-engine 
Usage: engine-service {start|stop|restart|status}

verified that restart indeed works.

Note You need to log in before you can comment on or make changes to this bug.